You are not logged in.

#1 2012-06-13 18:20:50

cmm7825
Member
Registered: 2012-04-08
Posts: 22

Lots of warnings when upgrading ghc and haskell libraries

Heres the list of packages I upgraded today:

cups                  1.5.3-4      1.5.3-5      -0.73 MiB        6.87 MiB
ghc                   7.4.1-2      7.4.2-1      6.09 MiB        60.13 MiB
haskell-mtl           2.0.1.0-4    2.1.1-1      0.43 MiB         0.19 MiB
haskell-random        1.0.1.1-1    1.0.1.1-2    -0.05 MiB        0.29 MiB
haskell-syb           0.3.6-1      0.3.6.1-1    0.06 MiB         0.21 MiB
haskell-transformers  0.2.2.0-4    0.3.0.0-1    2.39 MiB         0.58 MiB
haskell-utf8-string   0.3.7-1      0.3.7-2      -0.04 MiB        0.20 MiB
haskell-x11           1.5.0.1-3    1.6.0-1      1.96 MiB         1.82 MiB
haskell-x11-xft       0.3.1-3      0.3.1-4      0.01 MiB         0.09 MiB
libcups               1.5.3-4      1.5.3-5      -0.01 MiB        0.28 MiB
libmysqlclient        5.5.24-1     5.5.25-1     0.00 MiB         2.97 MiB
mysql                 5.5.24-1     5.5.25-1     0.57 MiB         8.45 MiB
mysql-clients         5.5.24-1     5.5.25-1     0.00 MiB         0.81 MiB
xmobar                0.14-2       0.15-1       0.08 MiB         0.45 MiB
xmonad                0.10-3       0.10-4       0.09 MiB         0.71 MiB
xmonad-contrib        0.10-3       0.10-4       0.76 MiB         4.32 MiB

And here is some of the warnings I got when upgrading:

==> Unregistering cabalized packages...
unregistering xmonad-0.10 would break the following packages: xmonad-contrib-0.10 (ignoring)
unregistering X11-1.5.0.1 would break the following packages: X11-xft-0.3.1 (ignoring)
==> Done.
( 3/16) upgrading ghc                                                                                                                           [########################################################################################] 100%
==> All cabalized packages need to be reinstalled now.
==> See /usr/share/haskell/ and ghc-pkg list --user for a tentative list of affected packages.
ghc-pkg: cannot find package transformers-0.2.2.0
error: command failed to execute correctly
( 4/16) upgrading haskell-transformers                                                                                                          [########################################################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read mtl/mtl.haddock:
   Interface file is of wrong version: mtl/mtl.haddock
Skipping this interface.
Warning: Cannot read random/random.haddock:
   Interface file is of wrong version: random/random.haddock
Skipping this interface.
Warning: Cannot read syb/syb.haddock:
   Interface file is of wrong version: syb/syb.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
ghc-pkg: cannot find package mtl-2.0.1.0
error: command failed to execute correctly
( 5/16) upgrading haskell-mtl                                                                                                                   [########################################################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read random/random.haddock:
   Interface file is of wrong version: random/random.haddock
Skipping this interface.
Warning: Cannot read syb/syb.haddock:
   Interface file is of wrong version: syb/syb.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
ghc-pkg: cannot find package random-1.0.1.1
error: command failed to execute correctly
( 6/16) upgrading haskell-random                                                                                                                [########################################################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read syb/syb.haddock:
   Interface file is of wrong version: syb/syb.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
ghc-pkg: cannot find package syb-0.3.6
error: command failed to execute correctly
( 7/16) upgrading haskell-syb                                                                                                                   [########################################################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
WARNING: cache is out of date: /usr/lib/ghc-7.4.2/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
ghc-pkg: cannot find package utf8-string-0.3.7
error: command failed to execute correctly
( 8/16) upgrading haskell-utf8-string                                                                                                           [########################################################################################] 100%
WARNING: cache is out of date: /usr/lib/ghc-7.4.2/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
ghc-pkg: cannot find package X11-1.5.0.1
error: command failed to execute correctly
( 9/16) upgrading haskell-x11                                                                                                                   [########################################################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
ghc-pkg: cannot find package X11-xft-0.3.1
error: command failed to execute correctly
(10/16) upgrading haskell-x11-xft                                                                                                               [########################################################################################] 100%
Reading package info from stdin ... done.
(11/16) upgrading libmysqlclient                                                                                                                [########################################################################################] 100%
(12/16) upgrading mysql-clients                                                                                                                 [########################################################################################] 100%
(13/16) upgrading mysql                                                                                                                         [########################################################################################] 100%
(14/16) upgrading xmobar                                                                                                                        [########################################################################################] 100%
ghc-pkg: cannot find package xmonad-0.10
error: command failed to execute correctly
(15/16) upgrading xmonad                                                                                                                        [########################################################################################] 100%
Reading package info from stdin ... done.
xmonad-0.10: Warning: haddock-interfaces: /usr/share/doc/xmonad-0.10/html/xmonad.haddock doesn't exist or isn't a file
xmonad-0.10: Warning: haddock-html: /usr/share/doc/xmonad-0.10/html doesn't exist or isn't a directory
ghc-pkg: cannot find package xmonad-contrib-0.10
error: command failed to execute correctly
(16/16) upgrading xmonad-contrib                                                                                                                [########################################################################################] 100%
Reading package info from stdin ... done.
xmonad-contrib-0.10: Warning: haddock-interfaces: /usr/share/doc/xmonad-contrib-0.10/html/xmonad-contrib.haddock doesn't exist or isn't a file
xmonad-contrib-0.10: Warning: haddock-html: /usr/share/doc/xmonad-contrib-0.10/html doesn't exist or isn't a directory

I haven't restarted yet to see if xmonad still works, but I'm a little apprehensive after seeing this output

EDIT: Added code tags

Last edited by cmm7825 (2012-10-12 00:15:32)

Offline

#2 2012-06-13 18:39:16

bohoomil
Member
Registered: 2010-09-04
Posts: 2,376
Website

Re: Lots of warnings when upgrading ghc and haskell libraries

1. Please, use code tags to make the output readable...
2. Shouldn't you upgrade any custom installed haskell package/component (or just remove it if you no longer need it) after any major haskell upgrade? I remember getting into similar issue some time ago when I attempted to use xmonad.

Last edited by bohoomil (2012-06-13 18:40:01)


:: Registered Linux User No. 223384

:: github
:: infinality-bundle+fonts: good looking fonts made easy

Offline

#3 2012-06-13 18:43:11

cmm7825
Member
Registered: 2012-04-08
Posts: 22

Re: Lots of warnings when upgrading ghc and haskell libraries

1. I added the code tags
2. I'm not using any custom haskell packages. Everything I'm using is in the Arch repo. Nothing from AUR or Cabal.

Offline

#4 2012-06-13 18:47:30

hal
Member
Registered: 2012-06-13
Posts: 3

Re: Lots of warnings when upgrading ghc and haskell libraries

Recompiling xmonad was a no-go for me after updating with

 pacman -Syyu 

I had errors

  [root@luderro hal]# pacman -Syyu
:: Synchronizing package databases...
 core                                                                       103.7 KiB   301K/s 00:00 [############################################################] 100%
 extra                                                                     1404.9 KiB  1173K/s 00:01 [############################################################] 100%
 community                                                                 1680.9 KiB  1409K/s 00:01 [############################################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...

Targets (11): ghc-7.4.2-1  haskell-mtl-2.1.1-1  haskell-random-1.0.1.1-2  haskell-syb-0.3.6.1-1  haskell-transformers-0.3.0.0-1  haskell-utf8-string-0.3.7-2
              haskell-x11-1.6.0-1  haskell-x11-xft-0.3.1-4  xmobar-0.15-1  xmonad-0.10-4  xmonad-contrib-0.10-4

Total Download Size:    69.00 MiB
Total Installed Size:   867.50 MiB
Net Upgrade Size:       11.79 MiB

Proceed with installation? [Y/n] y
:: Retrieving packages from extra...
 ghc-7.4.2-1-x86_64                                                          60.1 MiB  2.25M/s 00:27 [############################################################] 100%
 haskell-transformers-0.3.0.0-1-x86_64                                      591.9 KiB   803K/s 00:01 [############################################################] 100%
 haskell-mtl-2.1.1-1-x86_64                                                 195.9 KiB   401K/s 00:00 [############################################################] 100%
 haskell-random-1.0.1.1-2-x86_64                                            300.7 KiB   509K/s 00:01 [############################################################] 100%
:: Retrieving packages from community...
 haskell-syb-0.3.6.1-1-x86_64                                               216.9 KiB   450K/s 00:00 [############################################################] 100%
 haskell-utf8-string-0.3.7-2-x86_64                                         208.8 KiB   495K/s 00:00 [############################################################] 100%
 haskell-x11-1.6.0-1-x86_64                                                1860.3 KiB  1672K/s 00:01 [############################################################] 100%
 haskell-x11-xft-0.3.1-4-x86_64                                              93.1 KiB   283K/s 00:00 [############################################################] 100%
 xmobar-0.15-1-x86_64                                                       461.8 KiB   703K/s 00:01 [############################################################] 100%
 xmonad-0.10-4-x86_64                                                       730.5 KiB   995K/s 00:01 [############################################################] 100%
 xmonad-contrib-0.10-4-x86_64                                                 4.3 MiB  2.30M/s 00:02 [############################################################] 100%
(11/11) checking package integrity                                                                   [############################################################] 100%
(11/11) loading package files                                                                        [############################################################] 100%
(11/11) checking for file conflicts                                                                  [############################################################] 100%
(11/11) checking available disk space                                                                [############################################################] 100%
==> Unregistering cabalized packages...
unregistering X11-xft-0.3.1 would break the following packages: xmonad-contrib-0.10 (ignoring)
unregistering transformers-0.2.2.0 would break the following packages: xmonad-0.10 mtl-2.0.1.0 (ignoring)
unregistering syb-0.3.6 would break the following packages: X11-1.5.0.1 (ignoring)
==> Done.
( 1/11) upgrading ghc                                                                                [############################################################] 100%
==> All cabalized packages need to be reinstalled now.
==> See /usr/share/haskell/ and ghc-pkg list --user for a tentative list of affected packages.
ghc-pkg: cannot find package transformers-0.2.2.0
error: command failed to execute correctly
( 2/11) upgrading haskell-transformers                                                               [############################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read mtl/mtl.haddock:
   Interface file is of wrong version: mtl/mtl.haddock
Skipping this interface.
Warning: Cannot read random/random.haddock:
   Interface file is of wrong version: random/random.haddock
Skipping this interface.
Warning: Cannot read syb/syb.haddock:
   Interface file is of wrong version: syb/syb.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
ghc-pkg: cannot find package mtl-2.0.1.0
error: command failed to execute correctly
( 3/11) upgrading haskell-mtl                                                                        [############################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read random/random.haddock:
   Interface file is of wrong version: random/random.haddock
Skipping this interface.
Warning: Cannot read syb/syb.haddock:
   Interface file is of wrong version: syb/syb.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
ghc-pkg: cannot find package random-1.0.1.1
error: command failed to execute correctly
( 4/11) upgrading haskell-random                                                                     [############################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read syb/syb.haddock:
   Interface file is of wrong version: syb/syb.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
ghc-pkg: cannot find package syb-0.3.6
error: command failed to execute correctly
( 5/11) upgrading haskell-syb                                                                        [############################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
Warning: Cannot read utf8-string/utf8-string.haddock:
   Interface file is of wrong version: utf8-string/utf8-string.haddock
Skipping this interface.
ghc-pkg: cannot find package utf8-string-0.3.7
error: command failed to execute correctly
( 6/11) upgrading haskell-utf8-string                                                                [############################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
Warning: Cannot read X11/X11.haddock:
   Interface file is of wrong version: X11/X11.haddock
Skipping this interface.
ghc-pkg: cannot find package X11-1.5.0.1
error: command failed to execute correctly
( 7/11) upgrading haskell-x11                                                                        [############################################################] 100%
Reading package info from stdin ... done.
Warning: Cannot read X11-xft/X11-xft.haddock:
   Interface file is of wrong version: X11-xft/X11-xft.haddock
Skipping this interface.
ghc-pkg: cannot find package X11-xft-0.3.1
error: command failed to execute correctly
( 8/11) upgrading haskell-x11-xft                                                                    [############################################################] 100%
Reading package info from stdin ... done.
( 9/11) upgrading xmobar                                                                             [############################################################] 100%
ghc-pkg: cannot find package xmonad-0.10
error: command failed to execute correctly
(10/11) upgrading xmonad                                                                             [############################################################] 100%
Reading package info from stdin ... done.
xmonad-0.10: Warning: haddock-interfaces: /usr/share/doc/xmonad-0.10/html/xmonad.haddock doesn't exist or isn't a file
xmonad-0.10: Warning: haddock-html: /usr/share/doc/xmonad-0.10/html doesn't exist or isn't a directory
ghc-pkg: cannot find package xmonad-contrib-0.10
error: command failed to execute correctly
(11/11) upgrading xmonad-contrib                                                                     [############################################################] 100%
Reading package info from stdin ... done.
xmonad-contrib-0.10: Warning: haddock-interfaces: /usr/share/doc/xmonad-contrib-0.10/html/xmonad-contrib.haddock doesn't exist or isn't a file
xmonad-contrib-0.10: Warning: haddock-html: /usr/share/doc/xmonad-contrib-0.10/html doesn't exist or isn't a directory

The solution I found was to uninstall/reinstall everything which depends on ghc:

pacman -Qi ghc
pacman -Rdd ghc haskell-mtl  haskell-random  haskell-syb  haskell-transformers  haskell-utf8-string  haskell-x11  haskell-x11-xft  xmonad  xmonad-contrib <any other dependencies here>
pacman -Syyu ghc haskell-mtl  haskell-random  haskell-syb  haskell-transformers  haskell-utf8-string  haskell-x11  haskell-x11-xft  xmonad  xmonad-contrib <any other dependencies here>

Probably not ideal, but the digging I did to use ghc to fix the problem turned up nothing.

By the way, a litmus test to determine if your Haskell setup is sane:

xmonad --recompile

should not return any errors.

Last edited by hal (2012-06-13 18:51:15)

Offline

#5 2012-06-13 18:49:20

bohoomil
Member
Registered: 2010-09-04
Posts: 2,376
Website

Re: Lots of warnings when upgrading ghc and haskell libraries

Try the following: uninstall xmonad, xmonad-contrib and xmobar (leaving all the custom configs, of course), then reinstall all the ghc and haskell stuff (which seems to be preventing the upgrade), and once you're done, reinstall xmonad and friends (rebuilding xmonad to use your config). If no third party add-ons from the AUR are required, you shouldn't IMO be missing any component required by xmonad to work.

Edit: I can see hal's suggestion sounds similar.

Last edited by bohoomil (2012-06-13 18:51:25)


:: Registered Linux User No. 223384

:: github
:: infinality-bundle+fonts: good looking fonts made easy

Offline

#6 2012-06-13 18:52:10

cmm7825
Member
Registered: 2012-04-08
Posts: 22

Re: Lots of warnings when upgrading ghc and haskell libraries

Thanks! I just did the same and that seems to worked. I guess I'll mark this as solved even though its kind of a hack solution.

Offline

#7 2012-06-16 14:50:34

xrchz
Member
Registered: 2009-04-03
Posts: 36

Re: Lots of warnings when upgrading ghc and haskell libraries

I don't think this is really solved: the packages should upgrade nicely. I also seem to run into this problem of so many warnings and errors whenever xmonad and other haskell stuff it depends on gets upgraded. Any suggestions for how to turn it into a concrete bug report?

Offline

#8 2012-06-17 21:57:28

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: Lots of warnings when upgrading ghc and haskell libraries

I'm still receiving

xmonad-0.10: Warning: haddock-interfaces: /usr/share/doc/xmonad-0.10/html/xmonad.haddock doesn't exist or isn't a file
xmonad-0.10: Warning: haddock-html: /usr/share/doc/xmonad-0.10/html doesn't exist or isn't a directory

And a similar error when installing xmonad-contrib...

I've found out that those files are called from the register.sh file which is generated through:

runhaskell Setup register --gen-script 

I don't have any idea about where those files are supposed to be (xmonad.haddock), I can't find them in the src package.

Is this a bug?


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#9 2012-10-12 00:13:38

cmm7825
Member
Registered: 2012-04-08
Posts: 22

Re: Lots of warnings when upgrading ghc and haskell libraries

I know this is an old post, but this happened to me again. And Ive found older posts regarding this same issue. This seems to be a recurring issue with ghc upgrades. Is this a bug in pacman?

Offline

#10 2013-02-09 05:01:33

fawkes5
Member
From: Canada
Registered: 2012-12-23
Posts: 84

Re: Lots of warnings when upgrading ghc and haskell libraries

This just happened to me upgrading today.

I followed hal's instructions.

I reinstalled all the packages i installed with cabal

I still get the warnings pablox posted. That is, when reinstalling xmonad i get:

xmonad-0.11: Warning: haddock-interfaces: /usr/share/doc/xmonad-0.11/html/xmonad.haddock doesn't exist or isn't a file
xmonad-0.11: Warning: haddock-html: /usr/share/doc/xmonad-0.11/html doesn't exist or isn't a directory

and when i reinstall xmonad-contrib i get

xmonad-contrib-0.11: Warning: haddock-interfaces: /usr/share/doc/xmonad-contrib-0.11/html/xmonad-contrib.haddock doesn't exist or isn't a file
xmonad-contrib-0.11: Warning: haddock-html: /usr/share/doc/xmonad-contrib-0.11/html doesn't exist or isn't a directory

When i recompiled xmonad i got the following error that i didn't get before

xmonad: xmessage: executeFile: does not exist (No such file or directory)

I installed xorg-xmessage and then xmonad recompiled fine.

I restarted and everything seems to run fine so it doesn't seem to be a big deal.

Last edited by fawkes5 (2013-02-09 05:22:34)

Offline

#11 2013-05-11 19:16:28

trusktr
Banned
From: .earth
Registered: 2010-02-18
Posts: 907
Website

Re: Lots of warnings when upgrading ghc and haskell libraries

I had this problem today.

To solve it, I added the Arch Haskell repo (see the Arch Wiki: Haskell_package_guidelines), then I uninstalled and reinstalled the necessary packages like hal suggested above. All is fine now.


joe@trusktr.io - joe at true skater dot io.

Offline

Board footer

Powered by FluxBB